Problem with new installation - error while angularjs loading


(Kirill) #1

Hello everybody!

Please, help me with new piwik installation (2.16.0).

Error: [$injector:modulerr] http://errors.angularjs.org/1.2.28/$injector/modulerr?p0=piwikApp&p1=%5B%24injector%3Anomod%5D%20http%3A%2F%2Ferrors.angularjs.org%2F1.2.28%2F%24injector%2Fnomod%3Fp0%3DpiwikApp%0Az%2F%3C%40http%3A%2F%2Fexample.com%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A79%3A450%0AYc%2Fb.module%3C%2F%3C%2Fb%5Be%5D%3C%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A93%3A1%0AYc%2Fb.module%3C%2F%3C%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A93%3A1%0Ae%2F%3C%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A106%3A267%0Ar%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A80%3A288%0Ae%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A106%3A207%0Aec%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A109%3A309%0Adc%2Fc%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A91%3A170%0Adc%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A91%3A387%0AWc%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A90%3A415%0A%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A289%3A78%0Am.Callbacks%2Fj%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A4%3A27239%0Am.Callbacks%2Fk.fireWith%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A4%3A28057%0A.ready%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A4%3A29889%0AJ%40http%3A%2F%2F96.0.21.10%2Findex.php%3Fmodule%3DProxy%26action%3DgetCoreJs%26cb%3D805e30a18b220900cc93002565572352%3A4%3A30255%0A
http://example.com/index.php?module=Proxy&action=getCoreJs&cb=805e30a18b220900cc93002565572352
Line 79

I’m trying to fix it almost 10 hours… Try installation with different settings, try to load zip and uzipped and directly binary files copy to hosting…

I have absolutely no idea about problem location… Maybe you know this issue?
(try in different up to date browsers with disable adblock)

I able to share superuser and pass.

Thank you!


(Kirill) #2

Oh, sorry. It’s my mistake. I’ve been copy php.ini with disabled functions (gzinflate,unpack,chr,ord,chmod,popen,dl,passthru,system,exec,proc_open,proc_close,symlink)

I changed disable_functions line in php.ini, made new installation, and now everything is fine.